Sondage : Compilation de darktable
Vous n’avez pas la permission de voter pour ce sondage.
Je suis intéressé pour faire des compilations de darktable sous Linux
57.69%
15 57.69%
Je ne suis pas intéressé
7.69%
2 7.69%
Un salon spécifique devrait être créé
34.62%
9 34.62%
Total 26 vote(s) 100%
* Vous avez voté pour cette proposition. [Voir les résultats]

Note de ce sujet :
  • Moyenne : 5 (1 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
Thread Contributor: jpg54Compilation de darktable
#1
Il y a un moment j'avais fait un tuto en PDF : https://drive.google.com/file/d/0B9wDMMk...sp=sharing
Il y a eu beaucoup de changement dans les distributions Debian et ses dérivés (Ubuntu ; Mint ; ect.) et certaines dépendances depuis que je l'ai écrit. Je suis en train de recenser les dépendances utilises.
Je ne dispose pas de toutes les distributions Linux installées et on peut essayer de vous aider au risque de l'échec.
Le pré-requis pour pouvoir compiler :
avoir Debian ; Ubuntu ou un de ces dérivés ; Linux Mint installé de préférence (@RawFiner m'a aidé à compiler sous Solus) ;
savoir utiliser la console ou le terminal sur sont système et écrire des lignes de commande ;
savoir installer les dépendances indispensables pour compiler (soit en ligne de commande ou avec le gestionnaire de paquets) ;
s'inscrire sur le chat telegram dédié : https://darktable.fr/2017/02/groupe-tele...ktable-fr/
J'ai créé un groupe sur ce chat dédié à la compilation de darktable. L'utilisation de telegram permet une communication rapide avec des utilisateurs connectés ; d'échanger des fichiers, photos ou copie d'écran.
Je n'ai aucune idée de comment faire pour compiler sur Mac ou sous Windows.
Il y a eu 4 commentaires d'utilisateurs du blog ou les auteurs se disaient intéresser pour compiler darktable surtout après le dernier article d'Aurélien. Je lance un sondage pour faire un recensement de ceux qui vaudraient tenter l'aventure. Le fait de compiler les sources ne va pas altérer darktable installé sur votre système le seul problème, c'est qu'il partage le même répertoire de configuration et il est intéressant de faire une copie de ce répertoire ou de faire 1 répertoire pour chaque version.
Répondre
#2
> c'est qu'il partage le même répertoire de configuration et il est intéressant de faire une copie de ce répertoire ou de faire 1 répertoire pour chaque version.

Pas uniquement. L'utilisation d'un nouveau module va modifier le XMP. Franchement je pense que sauf les devs devraient compiler dt au tout du moins bien suivre les évolutions en regardant les commits, car certains changement peuvent être sans retour possible.
--
Pascal - GNU/Debian (sid) - version darktable git/master
http://photos.obry.net
Répondre
#3
Merci de ton avis Pascal.
Répondre
#4
jp54 a écrit :Il y a un moment j'avais fait un tuto en PDF : https://drive.google.com/file/d/0B9wDMMk...Fta00/view

Bonjour et bonne année,

J'utilise actuellement la version de darktable du site suivant :
https://software.opensuse.org/download.h...=darktable
Ce site propose plusieurs versions compilées par jour, hier c'était la darktable_3.1.0_git289.f788bfff3_amd64.deb
Elle est proposée notamment pour xUbuntu sur leurs site, moi je l'utilise sur Ubuntu et elle semble fonctionner parfaitement ?

Uniquement pour ma culture personnel :

J'aimerais trouver les dernières versions pour la compiler moi-même, mais je n'ai jamais rien compilé sous Linux (Ubuntu) ?
Je suis inscris sur le site Github, mais après où trouver les derniers paquets à compiler et quelles dépendances installer sur le PC pour compiler ?
Je suis autant intéressé par l'informatique que par la photo !

PS: Le tutoriel ci-dessus est-il à jour ?

Cordialement.
Répondre
#5
Mon tuto n'est pas à jour pour les dépendances et on les trouve : https://redmine.darktable.org/projects/d...rktable_26
Si tu compiles sur ta machine, tu auras un darktable spécifique aux composants qu'elle utilise. Par contre il faut être précautionneux car ça reste une bêta même si elle est très stable, il peut y avoir de petits soucis et il est bien de garder une version des dépôts et de séparer les .config
On peut t'aider sur le chat FramTeam : https://darktable.fr/2018/12/nouvel-outi...mmuniquer/
Les versions proposées sur OpenSuse sont des versions mater génériques et si tu peux utiliser un PPA qui installe la version 3.0 : https://forums.darktable.fr/showthread.p...0#pid37280
Répondre
#6
Merci pour ta réponse. Wink

Je n'ai pas trouvé de PPA à cette adresse: https://launchpad.net/~dhor
Pour la version 3.0 j'ai déjà utilise le PPA ci-contre pour voir et ça fonctionne également. https://launchpad.net/~ubuntuhandbook1/+...VNe3Qcb1jQ
Si j'installe le PPA cela va supprimer la version proposé par OpenSuse ?
Il est donc possible d'avoir une version 3.0.0 fonctionnel et la version compilée simultanément et indépendantes ?
Par exemple sur un même PC:
- La version 3.0.0 stable.
- La version OpenSuse développement.
- La version compilée.

Cordialement.
Répondre
#7
Il y a eu des utilisateurs qui ont eu des problèmes avec : https://launchpad.net/~ubuntuhandbook1/+...VNe3Qcb1jQ
J'avais d'ailleurs dit d'être prudent avec !
J'ai mis la commande pour installer le PPA : https://forums.darktable.fr/showthread.p...0#pid37280
Je te recommande de supprimer celui d'OpenSuse et aussi son PPA avec d'installer celui de Dariusz Duma.
Répondre
#8
Avec le dépôt d'OpenSuse je n'ai pas installé de PPA.
Lorsque je désire faire une mise à jour je réinstalle.
Répondre
#9
Il vaut mieux éviter d'utiliser plusieurs versions de darktable en même temps, à moins de savoir REELLEMENT ce qu'on fait, savoir jongler avec sauvegardes et plusieurs dossiers de configuration. Enfin, j'appuie la réponse de jpg54 et la réponse de Patrick L sur un autre fil explique très bien comment faire (premier lien apt purge à adapter au(x) dépôt(s) installés déjà sur son système pour faire le ménage) : https://forums.darktable.fr/showthread.p...5#pid37405
Aussi appelé Nilvus !
Ubuntu 20.04 LTS - darktable master
Répondre
#10
Actuellement je n'ai que deux versions sur mon PC, (OpenSuse / Windows),
pour m'essayer à la  compilation j'installerai un deuxième Ubuntu, donc aucun risque. Smile
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)